Logs in to an FTP connection

- « ftp_get

- ftp_mdtm »

- PHP Manual
- FTP Functions
- Logs in to an FTP connection

# ftp_login

(PHP 4, PHP 5, PHP 7, PHP 8)

ftp_login — Logs in to an FTP connection

### Description

ftp_login(FTP\Connection `$ftp`, string `$username`, string `$password`): bool

Logs in to the given FTP connection.

### Parameters

`ftp`

  An FTP\Connection instance.

`username`

  The username (`USER`).

`password`

  The password (`PASS`).

### Return Values

Returns `true` on success or `false` on failure. If login fails, PHP will also throw a warning.

### Changelog

Version | Description
--- | ---
8.1.0 | The `ftp` parameter expects an FTP\Connection instance now; previously, a resource was expected.

### Examples

Example #1 ftp_login() example

    <?php                     $ftp_server = "ftp.example.com";$ftp_user = "foo";$ftp_pass = "bar";// set up a connection or die$ftp = ftp_connect($ftp_server) or die("Couldn't connect to $ftp_server"); // try to loginif (@ftp_login($ftp, $ftp_user, $ftp_pass)) {    echo "Connected as $ftp_user@$ftp_server\n";} else {    echo "Couldn't connect as $ftp_user\n";}// close the connectionftp_close($ftp);  ?>